Subject: NTPOPTS="-c openntpd" fails

From: Ladar Levison <[email-masked]>
Date: Thu, 22 Aug 2019 01:08:15 +0530

Somewhere along the way, using NTPOPTS="-c openntpd" started failing.
From what I can tell, the problem is the openntpd APK is missing from
the local index. The specific error looks like:

ERROR: unsatisfiable constraints:
  openntpd (missing)
    required by: world(openntpd)
 * rc-update: service 'openntpd' does not exist
 * rc-service: service 'openntpd' does not exist

I think the problem stems from having setup-ntp run before
setup-apkrepos, which is responsible for updating the APK index. If I
run "setup-ntp -c openntpd" first, it fails. If I run "setup-apkrepos
-1" and then run "setup-ntp -c openntpd" it works. Like wise if I run
"setup-ntp -c openntpd" after "setup-alpine -f answerfile" has finished,
it also works.

Using NTPOPTS="-c busybox" also produces an error, specifically an
invalid option "N" seems to be used by the init script. The only NTP
daemon that installs without error on 3.10.2 is chrony.

L~